GET bookedClasses/{bookedClassId}/materialsAssignments
Authorization
Access to this endpoint is granted if all following conditions are true:
- Authenticated user who is either StaffMember
- Authenticated user passes at least one of the following conditions: Authenticated user is a staff member and is assigned to the same center as a user who matches a students who is assigned to material specified by "bookedClassId" uri parameter or by content of request. Authenticated user is a staff member and is assigned to the online center as a user who matches a students who is assigned to material specified by "bookedClassId" uri parameter or by content of request. Authenticated user matches a students who is assigned to material specified by "bookedClassId" uri parameter or by content of request.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| bookedClassId | string |
Required |
Body Parameters
None.
Response Information
Resource Description
PearsonEnglish.LearningServices.Core.Models.Views.ClassViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| ClassId | string |
None. |
|
| AssignedMaterials | Collection of PearsonEnglish.LearningServices.Core.Models.Views.AssignedMaterialViewModel |
None. |
Response Formats
application/json, text/json
Sample:
{
"ClassId": "sample string 1",
"AssignedMaterials": [
{
"StudentsIds": [
"0edaef7b-fae5-42cd-9954-9f4cf5593614",
"4e86b7d3-a2fd-49e2-a63d-42a20e6d333d"
],
"StudentReferenceIds": [
"sample string 1",
"sample string 2"
],
"MaterialId": "6a6d5a70-3857-4248-b136-16ee7af73928",
"Url": "sample string 2",
"Title": "sample string 3",
"Description": "sample string 4",
"Type": "sample string 5",
"FileName": "sample string 6",
"IsShareable": true
},
{
"StudentsIds": [
"0edaef7b-fae5-42cd-9954-9f4cf5593614",
"4e86b7d3-a2fd-49e2-a63d-42a20e6d333d"
],
"StudentReferenceIds": [
"sample string 1",
"sample string 2"
],
"MaterialId": "6a6d5a70-3857-4248-b136-16ee7af73928",
"Url": "sample string 2",
"Title": "sample string 3",
"Description": "sample string 4",
"Type": "sample string 5",
"FileName": "sample string 6",
"IsShareable": true
}
]
}